osl::SquareCompressor Struct Reference

Square を [0..81] に圧縮する 0: 駒台，1..81 盤上 More...

`#include <squareCompressor.h>`

## Classes

class | Initializer

## Static Public Member Functions

static int | compress (Square pos)
static Square | melt (int index)

## Static Private Attributes

static CArray< signed char, Square::SIZE > | positionToIndex
| 本当はconst にしたいけど初期化が手間なので後回し

## Friends

class | Initializer

## Detailed Description

Square を [0..81] に圧縮する 0: 駒台，1..81 盤上

Definition at line 15 of file squareCompressor.h.

## Member Function Documentation

## compress()

int osl::SquareCompressor::compress | ( | Square | pos | ) |

inline static

Definition at line 24 of file squareCompressor.h.

References osl::Square::index(), and positionToIndex.

Referenced by osl::Move::toMove16().

## melt()

Square osl::SquareCompressor::melt | ( | int | index | ) |

inline static

Definition at line 34 of file squareCompressor.h.

References osl::Square::STAND().

Referenced by osl::Move::fromMove16().

## Friends And Related Symbol Documentation

## Initializer

friend class Initializer

friend

Definition at line 22 of file squareCompressor.h.

## Member Data Documentation

## positionToIndex

CArray< signed char, Square::SIZE > osl::SquareCompressor::positionToIndex

static private

本当はconst にしたいけど初期化が手間なので後回し

Definition at line 19 of file squareCompressor.h.

Referenced by compress(), and osl::SquareCompressor::Initializer::Initializer().

The documentation for this struct was generated from the following files:

- squareCompressor.h
- squareCompressor.cc